<?php
session_start();
$usuario = $_SESSION['usuario'];

require_once 'avaria.php';
require_once '../../script_php/conexao.php';


$produtos = $_POST['produto'];
$idpedido = $_POST['pedido'];
$fabricante = $_POST['fabricante'];
$lojaOrigem = $_POST['lojaorigem'];
$contagem = isset($_POST['contagem']) ? $_POST['contagem'] : 'N';
$fazerNFE = isset($_POST['fazerNfe'])? $_POST['fazerNfe'] : 'N';

$avaria = new Avaria();


//cadastrar cadastrar uma solicitacao de avaria
$idRetornado = $avaria->cadastrarAvariaCabecalho($conexao, $fabricante, $usuario, $lojaOrigem, date('Y-m-d'), $contagem, $fazerNFE, 'A', $idpedido);

foreach ($produtos as $id => $prod) {

    // só processa se o checkbox (id) foi marcado
    if (!isset($prod['id'])) {
        continue;
    }

//cadastrar os produtos da solicitacao
$avaria->cadastrarProdutosAvaria($conexao, $idRetornado,     $prod['ean'], $prod['descricao'], $prod['preco'],$prod['estoque']);

}